Latest post Thu, Sep 24 2020 2:02 AM by bdgavin. 2 replies.
Page 1 of 1 (3 items)
Sort Posts: Previous Next
  • Wed, Sep 23 2020 5:11 PM

    • bdgavin
    • Not Ranked
    • Joined on Wed, Aug 1 2018
    • Posts 3
    • Points 25

    Media Composer 2020.6 Compatibility With Previous Versions

    Hello,

     

    I own a new iMac with Catalina OS and am running Media Composer 2020.6. I'm going to be working on a project with an editor who is on an iMac with High Sierra running Media Composer 2018.12. Is it safe to share bins and media when one editor is on the new media composer and one editor is running a legacy version? I'm deciding between using my system or renting a system that has the High Seirra and 2018.12 setup.

     

    Does any one have experience with bin and media comptibility across different versions of Media Composer? Any major issues? Best practices? Recommendations? 

     

    Thanks.

  • Wed, Sep 23 2020 5:47 PM In reply to

    Re: Media Composer 2020.6 Compatibility With Previous Versions

    Hi,

    Have a good look at the section 'macOS Catalina Support' in the What's New doc. There are a lot of pitfalls.

    http://resources.avid.com/SupportFiles/attach/WhatsNew_MediaComposer_v20.4.pdf

    Media Composer 2020.9 w/Symphony/SS/PF options, HP Z-Book G6 17", i7-9850H 2.60GHz, 32gb RAM, NVIDIA Quadro RTX 3000, Windows 10 Pro [view my complete system specs]

    "There is hardly anything in the world that some man cannot make a little worse and sell a little cheaper, and the people who only consider the price are this man's lawful prey."  - John Ruskin (1819-1900)

     

    Carl Amoscato | Freelance Film & Video Editor | London, UK

  • Thu, Sep 24 2020 2:02 AM In reply to

    • bdgavin
    • Not Ranked
    • Joined on Wed, Aug 1 2018
    • Posts 3
    • Points 25

    Re: Media Composer 2020.6 Compatibility With Previous Versions

    Thank you. I will check out that section. Below is what I heard back from Avid Support:

    Technically and ideally, higher versions of MC should be compatible with lower versions, however, we always recommend that if you will be working on a collaboration or working on a project, it will be smoother and worry-free work if you have the same version. Also, there a new features of the 2020 version that might not be available in lower versions and vice versa. For example, 2018 versions still have the title tool however, it's not with 2020. Not including the fact that 2020 versions are still being worked out hence, there might be few bugs that you will be bumping into.

    Recommendation is to match the version with the one that you will be working with. Let me know if you need anything else.

    Filed under:
Page 1 of 1 (3 items)

© Copyright 2011 Avid Technology, Inc.  Terms of Use |  Privacy Policy |  Site Map |  Find a Reseller